%define upstream_name    SVG-Sparkline
%define upstream_version 1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    CGI script for generating SVG-based sparklines
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/SVG/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(SVG)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
In the book _Beautiful Evidence_, Edward Tufte describes sparklines as
_small, high-resolution, graphics embedded in a context of words, numbers,
images_.

This module provides a relatively easy interface for creating different
kinds of sparklines. This class is not intended to be used to build large,
complex graphs (there are other modules much more suited to that job). The
focus here is on the kinds of data well-suited to the sparklines concept.

See the SVG::Sparkline::Manual manpage for the full usage documentation for
the module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc README META.json Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/sparkline.cgi
/usr/bin/sparkline.pl
/usr/share/man/man1/sparkline.pl.1.bz2



%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.0.0-6pclos2017
- rebuild against updates

